Package org.eclipse.ui.intro

# Class IntroContentDetector

java.lang.Object
org.eclipse.ui.intro.IntroContentDetector

public abstract class IntroContentDetector extends Object
An intro content detector is used when starting the Workbench to determine if new intro content is available. Since calling this method is part of the Workbench start sequence, subclasses should be implemented with care as not to introduce noticeable delay at startup. If an intro content detector reports new available content, the view part showing the content will be opened again even if the user had closed it in a previous session. Because of this, the intro view part should draw the user's attention to the new content to avoid confusion about why the intro view part was opened again without the user requesting it.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`IntroContentDetector()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isNewContentAvailable()`
Returns `true` if new intro content is available.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntroContentDetector

public IntroContentDetector()

## Method Details

### isNewContentAvailable

public abstract boolean isNewContentAvailable()
Returns `true` if new intro content is available.

Returns:
  `true` if new intro content is available